package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.BisHiddAssessMapper;
import com.goldenwater.slaj.hidd.domain.BisHiddAssess;
import com.goldenwater.slaj.hidd.service.IBisHiddAssessService;

/**
 * 隐患考核 服务层实现
 */
@Service
public class BisHiddAssessServiceImpl implements IBisHiddAssessService {

    @Autowired
    private BisHiddAssessMapper bisHiddAssessMapper;

    /**
     * 查询隐患考核信息
     * @param id 查询条件
     * @return 隐患考核信息
     */
    @Override
    public BisHiddAssess selectBisHiddAssessById(Long id) {
        return bisHiddAssessMapper.selectBisHiddAssessById(id);
    }

    /**
     * 查询隐患考核列表
     * @param bisHiddAssess 隐患考核查询条件
     * @return 隐患考核集合
     */
    @Override
    public List<BisHiddAssess> selectBisHiddAssessList(BisHiddAssess bisHiddAssess) {
        return bisHiddAssessMapper.selectBisHiddAssessList(bisHiddAssess);
    }

    /**
     * 新增隐患考核
     * @param bisHiddAssess 隐患考核信息
     * @return 影响行数
     */
    @Override
    public int insertBisHiddAssess(BisHiddAssess bisHiddAssess) {
        return bisHiddAssessMapper.insertBisHiddAssess(bisHiddAssess);
    }

    /**
     * 修改隐患考核
     * @param bisHiddAssess 隐患考核信息
     * @return 影响行数
     */
    @Override
    public int updateBisHiddAssess(BisHiddAssess bisHiddAssess) {
        return bisHiddAssessMapper.updateBisHiddAssess(bisHiddAssess);
    }

    /**
     * 删除隐患考核
     * @param id 隐患考核主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddAssessById(Long id) {
        return bisHiddAssessMapper.deleteBisHiddAssessById(id);
    }

    /**
     * 批量删除隐患考核
     * @param ids 隐患考核主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHiddAssessByIds(Long[] ids) {
        return bisHiddAssessMapper.deleteBisHiddAssessByIds(ids);
    }
}
